## org.apache.commons.collections.functors
Class ClosureTransformer

    java.lang.Object
      org.apache.commons.collections.functors.ClosureTransformer

All Implemented Interfaces:
  java.io.Serializable, Transformer

    public class ClosureTransformer

extends java.lang.Object
implements Transformer, java.io.Serializable

Transformer implementation that calls a Closure using the input object and then returns the input.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`ClosureTransformer(Closure closure)` Constructor that performs no validation.

Method Summary
`Closure` `getClosure()` Gets the closure.
`static Transformer` `getInstance(Closure closure)` Factory method that performs validation.
`java.lang.Object` `transform(java.lang.Object input)` Transforms the input to result by executing a closure.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClosureTransformer

    public ClosureTransformer(Closure closure)

  Constructor that performs no validation. Use `getInstance` if you want that.

  Parameters:
    `closure` - the closure to call, not null

Method Detail

### getInstance

    public static Transformer getInstance(Closure closure)

  Factory method that performs validation.

  Parameters:
    `closure` - the closure to call, not null
  Returns:
    the `closure` transformer
  Throws:
    `java.lang.IllegalArgumentException` - if the closure is null

### transform

    public java.lang.Object transform(java.lang.Object input)

  Transforms the input to result by executing a closure.

  Specified by:
    `transform` in interface `Transformer`
  Parameters:
    `input` - the input object to transform
  Returns:
    the transformed result

### getClosure

    public Closure getClosure()

  Gets the closure.

  Returns:
    the closure
  Since:
    Commons Collections 3.1

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.